Subject: Re: bug#78476: GNU 'factor' problems with 128-bit word

From: Bernhard Voelker <[email-masked]>
Date: Fri, 23 May 2025 09:07:26 +0200

On 5/20/25 09:04, Torbjörn Granlund wrote:
> The current factor.c code is becoming insanely complex.  Contructs
> masking bugs triggered on hypothetical systems doesn't help with
> managing complexity.

If such hardware seems to be quite some time away, what about
guarding the code for the ranges we know it to work, and throw
an error - no matter whether at compile time or runtime - with
a diagnostic to revisit the problem once such hardware will be
available?

Have a nice day,
Berny